> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get typeahead suggestions

> The `GET /typeahead/suggestions` request retrieves a list of typeahead suggestions.

A total of 5,000 suggestions are allowed in the following distribution:

1. Your organization can enter a maximum of 4,000 custom terms (included and excluded) in the Core Settings Typeahead user interface.

2. Every hour, a maximum of 1,000 of the terms entered most often in customer searches are added to the Included typeahead suggestions list.

Results are sorted alphabetically. Sort options are not currently available.

The optional `prefix` query parameter filters suggestions returned. For example, `GET /typeahead/suggestions?prefix=El` returns the suggestions that begin with the letters `El`.

The optional `limit` query parameter limits the maximum number of suggestions returned. For example, `GET /typeahead/suggestions?limit=10` returns a maximum of 10 suggestions.




## OpenAPI

````yaml /api-reference/saas/lw-platform-typeahead.json get /typeahead/suggestions
openapi: 3.0.1
info:
  title: Lucidworks Platform Core Settings Typeahead Service API
  description: >-
    The Lucidworks Typeahead Service API returns a list of typeahead suggestions
    created in Lucidworks Platform Core Settings. Using the unique
    `TYPEAHEAD_ID` for your organization's Typeahead implementation, you can
    retrieve a complete or partial list of suggestions based on the query
    parameters used in the request.
  version: 1.0.0
  contact:
    name: Lucidworks
    url: https://lucidworks.com/
    email: support@lucidworks.com
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  license:
    name: Lucidworks
    url: https://lucidworks.com/legal/developer-license-agreement/
servers:
  - url: https://TYPEAHEAD_ID.typeahead.lucidworks.com
    description: Production
security: []
tags:
  - name: Typeahead
    description: List the typeahead suggestions.
paths:
  /typeahead/suggestions:
    get:
      summary: Get typeahead suggestions
      description: >
        The `GET /typeahead/suggestions` request retrieves a list of typeahead
        suggestions.


        A total of 5,000 suggestions are allowed in the following distribution:


        1. Your organization can enter a maximum of 4,000 custom terms (included
        and excluded) in the Core Settings Typeahead user interface.


        2. Every hour, a maximum of 1,000 of the terms entered most often in
        customer searches are added to the Included typeahead suggestions list.


        Results are sorted alphabetically. Sort options are not currently
        available.


        The optional `prefix` query parameter filters suggestions returned. For
        example, `GET /typeahead/suggestions?prefix=El` returns the suggestions
        that begin with the letters `El`.


        The optional `limit` query parameter limits the maximum number of
        suggestions returned. For example, `GET /typeahead/suggestions?limit=10`
        returns a maximum of 10 suggestions.
      operationId: getTypeaheadSuggestions
      parameters:
        - schema:
            type: string
            example: qasdlkjdoiu1123455WECMMLLJ22eeg
            default: '{EMBED_TOKEN}'
          in: header
          name: Authorization
          description: >-
            This is the unique embed token for the Lucidworks Platform typeahead
            instance, and is provided by Lucidworks. Each Typeahead instance has
            an embed token that is used for authentication.
          required: true
        - schema:
            type: string
          in: header
          name: Content-Type
          required: true
          description: application/json
        - name: prefix
          in: query
          description: >-
            Optional parameter that filters suggestions returned. For example,
            `GET /typeahead/suggestions?prefix=El` returns the suggestions that
            begin with the letters `El`.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Optional parameter that limits the number of suggestions returned.
            For example, `GET /typeahead/suggestions?limit=10` returns a maximum
            of 10 suggestions.
          required: false
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: Suggestions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSuggestionsResponse'
components:
  schemas:
    GetSuggestionsResponse:
      title: GetSuggestionsResponse
      type: array
      items:
        type: string

````